Subject: Re: [PATCH v3] cherry-pick: make sure all input objects are commits

From: Miklos Vajna <[email-masked]>
Date: Fri, 10 May 2013 09:07:13 +0200

On Thu, May 09, 2013 at 01:27:49PM -0700, Junio C Hamano <[email-masked]> wrote:
> I'd apply this before -rc2.  I _think_ it is also OK to just let
> lookup_commit_reference_gently() barf with its standard message
> 
> 	error: Object %s is a %s, not a commit
> 
> without an extra sha1_object_info() call in the error codepath, but
> I did not bother, as this is meant to be an emergency fix.

Yes, that makes a lot of sense. I myself never cherry-pick tags, but I
understand that is part of some workflow.